summaryrefslogtreecommitdiff
path: root/tests/mv/part-symlink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/mv/part-symlink
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/mv/part-symlink')
-rwxr-xr-xtests/mv/part-symlink4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/part-symlink b/tests/mv/part-symlink
index e009b8449..b7dbfe67f 100755
--- a/tests/mv/part-symlink
+++ b/tests/mv/part-symlink
@@ -25,7 +25,7 @@ pwd_tmp=$pwd/$tmp
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
if test -z "$other_partition_tmpdir"; then
- (exit 77); exit
+ (exit 77); exit 77
fi
framework_failure=0
@@ -209,4 +209,4 @@ EOF
cmp $expected $actual \
|| { diff -c $expected $actual 1>&2; fail=1; }
-(exit $fail); exit
+(exit $fail); exit $fail